%define name libfprint
%define soname fprint
%define major 0
%define libname %mklibname %{soname} %{major}
%define libnamedevel %mklibname -d %{soname}

Name: %name
Version: 0.4.0
Release: %mkrel 1
License: LGPLv2+
Group:   System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary: Library for adding support for consumer fingerprint readers
URL:	http://www.freedesktop.org/wiki/Software/fprint/libfprint
Source: http://people.freedesktop.org/~hadess/libfprint-%{version}.tar.bz2
BuildRequires: libusb-devel glib2-devel imagemagick-devel openssl-devel
BuildRequires: doxygen
BuildRequires: nss-devel

%description
libfprint is an open source software library designed to make it easy for
application developers to add support for consumer fingerprint readers to their
software.

Features:
    * Written in C
    * Licensed as LGPL-2.1
    * Depends on libusb for USB communication and glib
    * Primarily developed for linux, but should be fairly portable
    * Offers a single API to application developers to access the entire range
      of supported devices
    * Supports imaging - downloading live fingerprint scans from the device
    * Includes image processing/matching code
    * Supports enrollment/verification - enrolling a print from a known user,
      and then later comparing a live scan to the enrolled print 

#--------------------------------------------------------------------

%package -n %{libname}
License: GPL
Group:   System/Libraries
Summary: Library for adding support for consumer fingerprint readers
Provides: %name = %version-%release

%description -n %{libname}
libfprint is an open source software library designed to make it easy for
application developers to add support for consumer fingerprint readers to their
software.

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libfprint.so.%{major}*
%{_sysconfdir}/udev/rules.d/60-fprint-autosuspend.rules

#--------------------------------------------------------------------

%package -n %{libnamedevel}
License: GPL
Group:   System/Libraries
Summary: Development library for adding support for consumer fingerprint readers
Requires: %libname = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %{libnamedevel}
libfprint is an open source software library designed to make it easy for
application developers to add support for consumer fingerprint readers to their
software.

This package includes the headers and development library for building
applications that support finger print readers.

%files -n %{libnamedevel}
%{_includedir}/libfprint
%{_libdir}/libfprint.la
%{_libdir}/libfprint.so
%{_libdir}/pkgconfig/libfprint.pc

#--------------------------------------------------------------------

%prep
%setup -q

%build
autoreconf -f -i
%configure2_5x --disable-static 
%make
pushd doc
make docs
popd


%install
rm -Rf %{buildroot}
%makeinstall_std

%clean
rm -Rf %{buildroot}




%changelog

* Fri Aug 26 2011 tv <tv> 0.4.0-1.mga2
+ Revision: 135575
- fix file list
- BuildRequires: nss-devel
- drop merged patches
- new release
- new URL

* Mon Feb 07 2011 mikala <mikala> 0.1.0-0.pre2.5.mga1
+ Revision: 48741
- imported package libfprint

